Summary: Danish files for aspell
Name: aspell-da
Version: 0.2
Release: 3
Group: Applications/Text
Source: http://www.sslug.dk/locale/dsdo/filer/dsdo-1.4pre9.tar.gz
Source1: dansk_phonet.dat
Source2: dansk.dat 
URL: http://www.sslug.dk/locale/dsdo/
Copyright: GPL
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell, perl, grep
ExcludeArch: ia64
Obsoletes: ispell-dk, ispell-danish, aspell-dk

%description
A Danish dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n dsdo-1.4pre9

%build
cp /usr/share/aspell/iso8859-1.dat .
cp %SOURCE1 .
cp %SOURCE2 .

./unsq <  words-da.sq |grep -v -E "(\`|\#)" > words.danish

LC_CTYPE=da_DK aspell --lang=dansk --data-dir=. \
    create master ./dansk < words.danish

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/pspell

install -m 0644 dansk $RPM_BUILD_ROOT/usr/lib/aspell
ln -s dansk $RPM_BUILD_ROOT/usr/lib/aspell/danish
install -m 0644 dansk_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
install -m 0644 dansk.dat $RPM_BUILD_ROOT/usr/share/aspell

echo "/usr/lib/aspell/dansk" > $RPM_BUILD_ROOT/usr/share/pspell/da-aspell.pwli

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/aspell/*
/usr/lib/aspell/*
/usr/share/pspell/*

%changelog
* Sun Aug 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- upgraded to dsdo[1]-1.4pre9 
  ([1] "The great Danish dictionary")

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use "da", the ISO 639 name
- use the proper name on the pwli file

* Sat Jun 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated dictionary
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
